# dba_insert

(PHP 4, PHP 5, PHP 7, PHP 8)

dba_insert — Insertar entrada

### Descripción

dba_insert(string `$key`, string `$value`, resource `$handle`): bool

dba_insert() inserta la entrada descrita con `clave` y `valor` en la base de datos.

### Parámetros

`key`

  La clave de la entrada a ser insertada. Si esta clave ya existe en la base de datos, esta función fallará. Use dba_replace() si necesita reemplazar una clave existente.

`value`

  El valor a ser insertado.

`handle`

  El gestor de base de datos, devuelto por dba_open() o dba_popen().

### Valores devueltos

Devuelve `true` en caso de éxito o `false` en caso de error.

### Ver también

- dba_exists() - Verificar si la clave existe
- dba_delete() - Elimina una entrada DBA especificada por clave
- dba_fetch() - Recuperar datos especificados por clave
- dba_replace() - Reemplazar o insertar una entrada